package com.sagacloud.pojo;
/*
 * Author: Jxing
 * Create Time: 2019/3/13
 */

public class HBaseTable {
    private String database;
    private String datatable;

    public String getDatabase() {
        return database;
    }

    public void setDatabase(String database) {
        this.database = database;
    }

    public String getDatatable() {
        return datatable;
    }

    public void setDatatable(String datatable) {
        this.datatable = datatable;
    }

    public static boolean getInfo(String[] args, HBaseTable tableInfo) {
        boolean hasDatabaseName = false, hasDatatableName = true;
        tableInfo.datatable = "obj_infos";
        try {
            for (int i = 0; i < args.length; ++i) {
                if (args[i].equals("-t") || args[i].equals("-table") || args[i].equals("-datatable") ) {
                    tableInfo.datatable = args[++i];
                }else if(args[i].equals("-b") || args[i].equals("-database")){
                    tableInfo.database = args[++i];
                    hasDatabaseName = true;
                }
            }
        }catch (Exception ex){
            return false;
        }
        return hasDatabaseName;
    }
}
